/**
 *
 */
package jp.agentec.sinaburocast.action.batch;

import jp.agentec.sinaburocast.action.AbstractAction;
import jp.agentec.sinaburocast.common.util.PropertyUtil;
import jp.agentec.sinaburocast.service.EnqueteService;

import org.apache.log4j.Logger;
import org.seasar.struts.annotation.Execute;

/**
 * @author arakawa
 *
 */
public class EnqueteStatusChangeBatchAction extends AbstractAction {
	private final Logger logger = Logger.getLogger(getClass());

	public EnqueteService enqueteService;

	@Execute(validator=false)
	public String index() throws Exception {

		//アンケートステータスを未実施から実施中に変更する
		enqueteService.updateStatusToEnforcement(PropertyUtil.getString("BATCH_UPDATE"));

		//アンケートステータスを実施中から完了に変更する
		enqueteService.updateStatusToComplete(PropertyUtil.getString("BATCH_UPDATE"));

		return null;
	}

}
