package jp.agentec.sinaburocast.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;


@Entity
@Table(name="t_member_withdraw")
public class MemberWithdraw  extends AbstractEntity {
	private static final long serialVersionUID = 1L;

    @Id
    @Column(name="member_withdraw_id")
    public Integer memberWithdrawId;

    @Column(name="member_id")
    public Integer memberId;

    @Column(name="reason_type")
    public Short reasonType;

    @Column(name="reason_comment")
    public String reasonComment;

    @ManyToOne
    @JoinColumn(name = "member_id", referencedColumnName = "member_id")
	public Member member;

}