package jp.agentec.sinaburocast.service;

import javax.annotation.Resource;

import jp.agentec.sinaburocast.common.SinaburoConstant;
import jp.agentec.sinaburocast.common.util.SinaburoUtil;
import junit.framework.TestSuite;

import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.seasar.dao.unit.S2DaoTestCase;

public class TemplateServiceTest extends S2DaoTestCase {

	@Resource
	private TemplateService templateService;

	public TemplateServiceTest(String string) {
		super(string);
	}

	public static TestSuite suite() {
		TestSuite suite = new TestSuite("TemplateServiceTest");
		suite.addTest(new TemplateServiceTest("findById"));
		suite.addTest(new TemplateServiceTest("findAllOrderById"));
		suite.addTest(new TemplateServiceTest("findByenqueteType"));

		return suite;
	}
	
	
	public void findById(){
		System.out.println(templateService.findById(1));
	}
	
	
	public void findAllOrderById(){
	    
	    System.out.println(templateService.findAllOrderById());
	}
	public void findByenqueteType(){
	    
	    System.out.println(templateService.findByenqueteType(SinaburoConstant.EnqueteType.EMONITOR));
	}
	
	
	

	/**
	 * @throws java.lang.Exception
	 */
	@BeforeClass
	public static void setUpBeforeClass() throws Exception {
	}

	/**
	 * @throws java.lang.Exception
	 */
	@AfterClass
	public static void tearDownAfterClass() throws Exception {
	}

	/**
	 * @throws java.lang.Exception
	 */
	@Before
	public void setUp() throws Exception {
        include("app.dicon");
	}

	/**
	 * @throws java.lang.Exception
	 */
	@After
	public void tearDown() throws Exception {
	}

}
